# Create listing

## POST /public/v1/catalog/listings

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5520-g4a7cef27"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/listings":{"post":{"tags":["Listing"],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateListingRequest"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateListingRequest"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateListingRequest"}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Listing"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"CreateListingRequest":{"required":["authorization","eligibility","priceList","product","seller"],"type":"object","properties":{"primary":{"type":"boolean"},"notes":{"type":"string","nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"authorization":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"priceList":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ListingEligibility"}]}},"additionalProperties":false},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"ListingEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Listing":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string"},"authorization":{"allOf":[{"$ref":"#/components/schemas/Authorization"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"priceList":{"type":"object","allOf":[{"$ref":"#/components/schemas/PriceListRef"}]},"primary":{"type":"boolean"},"notes":{"type":"string","nullable":true},"statistics":{"allOf":[{"$ref":"#/components/schemas/ListingStatistics"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ListingEligibility"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true}},"additionalProperties":false},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"Authorization":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AuthorizationExternalIdBag"}]},"currency":{"type":"string"},"notes":{"type":"string","nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"owner":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/AuthorizationStatistics"}]},"journal":{"allOf":[{"$ref":"#/components/schemas/AuthorizationJournal"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/AuthorizationEligibility"}]},"settings":{"type":"string","nullable":true}},"additionalProperties":false},"AuthorizationExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true}},"additionalProperties":false},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"status":{"type":"string"},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"settings":{"allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroup":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"modules":{"type":"array","items":{"$ref":"#/components/schemas/Module"}},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"},"users":{"type":"array","items":{"$ref":"#/components/schemas/User"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/PlatformObjectAuditPlatformExtension"},"nullable":true},"buyers":{"type":"array","items":{"$ref":"#/components/schemas/Buyer"},"nullable":true}},"additionalProperties":false},"Module":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"code":{"type":"string"},"accountTypes":{"type":"array","items":{"type":"string"}},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/Account"}},"currentAccount":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"PlatformObjectAuditPlatformExtension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}],"nullable":true},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/Seller"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"Seller":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/SellerCurrency"},"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"erpLink":{"allOf":[{"$ref":"#/components/schemas/ErpLink"}],"nullable":true}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"SellerCurrency":{"type":"object","properties":{"value":{"type":"string"},"billingEnabled":{"type":"boolean"},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ErpLink":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ErpLinkAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"companyName":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ErpLinkStatus"}]},"note":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"shipTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true},"billTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true}},"additionalProperties":false},"ErpLinkAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"blocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unblocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ErpLinkStatus":{"enum":["Active","Blocked"],"type":"string"},"ErpLinkAddress":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"externalId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"sendCostToErp":{"type":"boolean","nullable":true},"subscriptionCessation":{"allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"AuthorizationStatistics":{"type":"object","properties":{"subscriptions":{"type":"integer","format":"int32"},"agreements":{"type":"integer","format":"int32"},"sellers":{"type":"integer","format":"int32"},"listings":{"type":"integer","format":"int32"}},"additionalProperties":false},"AuthorizationJournal":{"type":"object","properties":{"firstInvoiceDate":{"type":"string","format":"date-time"},"frequency":{"enum":["1m","6m","1y","3m","3y","one-time"],"type":"string"}},"additionalProperties":false},"AuthorizationEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"PriceListRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"ListingStatistics":{"type":"object","properties":{"subscriptions":{"type":"integer","format":"int32"},"agreements":{"type":"integer","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/listing/create-listing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
